﻿

using BPA.KitChen.StoreManagement.Application.BaseDto;

namespace BPA.KitChen.StoreManagement.Application.Service.Applet.Dtos
{


    #region 小程序页面
    /// <summary>
    /// 小程序页面输出
    /// </summary>
    public class MiniStorePageInput
    {
            /// <summary>
            /// 页面名称
            /// </summary>
            public string PageName { get; set; }
            /// <summary>
            /// 页面路由
            /// </summary>
            public string PageRoute { get; set; }
            /// <summary>
            /// 加盟商id
            /// </summary>
            public string FranchiseeId { get; set; }
            /// <summary>
            /// 加盟商店铺
            /// </summary>
            public string StoreId { get; set; }
    }
    /// <summary>
    /// 
    /// </summary>
    public class AddMiniStorePageInput: MiniStorePageInput
    {

    }
    /// <summary>
    /// 更新
    /// </summary>
    public class UpdateMiniStorePageInput : MiniStorePageInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 删除
    /// </summary>
    public class DelMiniStorePageInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 查询
    /// </summary>
    public class QueryMiniStorePageInput: PageInputBase
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string StoreId { get; set; }
    }
    #endregion

    #region 小程序页面素材
    /// <summary>
    /// 小程序页面输出
    /// </summary>
    public class MiniStorePageMaterialInput
    {
        /// <summary>
        /// 店铺页面id
        /// </summary>
        public string PageId { get; set; }
        /// <summary>
        /// 素材名称
        /// </summary>
        public string MaterialName { get; set; }
        /// <summary>
        /// 素材编码
        /// </summary>
        public string MaterialCode { get; set; }
        /// <summary>
        /// 素材路径
        /// </summary>
        public string MaterialPath { get; set; }
        /// <summary>
        /// 素材展示类型 0:单张 1:多张
        /// </summary>
        public string MaterialType { get; set; }
    }
    /// <summary>
    /// 
    /// </summary>
    public class AddMiniStorePageMaterialInput : MiniStorePageMaterialInput
    {

    }
    /// <summary>
    /// 更新
    /// </summary>
    public class UpdateMiniStorePageMaterialInput : MiniStorePageMaterialInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 删除
    /// </summary>
    public class DelMiniStorePageMaterialInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 查询
    /// </summary>
    public class QueryMiniStorePageMaterialInput : PageInputBase
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string PageId { get; set; }
    }


    #endregion
}
