﻿using System.Collections.Generic;

namespace BPA.KitChen.StoreManagement.Application.Service.Applet.Dtos
{
    /// <summary>
    /// 页面信息输出
    /// </summary>
    public class MiniStorePageOutput
    {
        /// <summary>
        /// 页面名称
        /// </summary>
        public string PageName { get; set; }
        /// <summary>
        /// 页面路由
        /// </summary>
        public string PageRoute { get; set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string FranchiseeId { get; set; }
        /// <summary>
        /// 加盟商店铺
        /// </summary>
        public string StoreId { get; set; }
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 页面素材输出
    /// </summary>
    public class MiniStorePageMaterialOutput
    {
        /// <summary>
        /// 店铺页面id
        /// </summary>
        public string PageId { get; set; }
        /// <summary>
        /// 素材名称
        /// </summary>
        public string MaterialName { get; set; }
        /// <summary>
        /// 素材编码
        /// </summary>
        public string MaterialCode { get; set; }
        /// <summary>
        /// 素材路径
        /// </summary>
        public string MaterialPath { get; set; }
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 小程序拉取配置类
    /// </summary>
    public class MiniStorePageConfigOutput
    {
        /// <summary>
        /// 初始化
        /// </summary>
        public MiniStorePageConfigOutput()
        {
            List = new();
        }
        /// <summary>
        /// 页面名称
        /// </summary>
        public string PageName { get; set; }
        /// <summary>
        /// 页面路由
        /// </summary>
        public string PageRoute { get; set; }
        /// <summary>
        /// 素材
        /// </summary>
        public List<MiniStorePageMaterialOutput> List { get; set; }
    }
    /// <summary>
    /// 下拉列表
    /// </summary>
    public class MiniStoreSelection
    {
        /// <summary>
        /// 键
        /// </summary>
        public string Key { get; set; } 
        /// <summary>
        /// 值
        /// </summary>
        public string Value { get; set; }   
    }
}
