﻿using BPA.KitChen.StoreManagement.Application.BaseDto;
using System.Collections;
using System.Collections.Generic;
namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.FoodMenu.Dtos
{
    /// <summary>
     /// 菜谱
     /// </summary>
    public class FoodMenuTreeNode : ITreeNode
    {
        /// <summary>
        /// Id
        /// </summary>
        public string key { get; set; }

        /// <summary>
        /// 父Id
        /// </summary>
        public string parentId { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        public string title { get; set; }

        /// <summary>
        /// 值
        /// </summary>
        public string value { get; set; }

        /// <summary>
        /// 排序，越小优先级越高
        /// </summary>
        public int weight { get; set; }

        /// <summary>
        /// 子节点
        /// </summary>
        public List<FoodMenuTreeNode> Children { get; set; } = new List<FoodMenuTreeNode>();


        public string GetId()
        {
            return key;
        }

        public string GetPid()
        {
            return parentId;
        }

        public void SetChildren(IList children)
        {
            Children = (List<FoodMenuTreeNode>)children;
        }
    }
}