﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.StoreAdvertisement.Dtos
{
    public class StoreAdvertisementEntityDto
    {
        /// <summary>
        /// 修改时用的主键id
        /// </summary>
        public string Id { get; set; }
        /// <summary> 
        /// 店铺id 
        /// </summary> 
        public string StoreId { get; set; }
        /// <summary> 
        /// 广告标题 
        /// </summary> 
        public string Title { get; set; }
        /// <summary> 
        /// 广告内容 
        /// </summary> 
        public string Content { get; set; }
        /// <summary> 
        /// 广告开始时间 
        /// </summary> 
        public string StartTime { get; set; }
        /// <summary> 
        /// 广告结束时间 
        /// </summary> 
        public string EndTime { get; set; }
        /// <summary>
        /// 状态 0启用 1停用
        /// </summary>
        public string Status { get; set; }
        /// <summary>
        /// 图片存储路径
        /// </summary>
        public List<ImageUrl> ImageUrl { get; set; }
        /// <summary>
        /// 视频存储路径
        /// </summary>
        public string VideoUrl { get; set; }

        /// <summary>
        /// 网络路径
        /// </summary>
        public string NetWorkUrl { get; set; }

        /// <summary>
        /// 上传方式 0自定义上传 1网络路径
        /// </summary>
        public int UploadType { get; set; }
        /// <summary>
        /// 广告类型
        /// </summary>
        public int Type { get; set; }
        /// <summary>
        /// 图片轮播时间间隔
        /// </summary>
        public int Step { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateAt { get; set; }
    }

    public class ImageUrl
    {
        /// <summary>
        /// 
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string Uid { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string Url { get; set; }
    }
}
