﻿using Microsoft.AspNetCore.Http;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Core.Common
{
    /// <summary>
    /// 文件帮助类
    /// </summary>
    public class FileHelper
    {
        /// <summary>
        /// 打开指定路径下文件，比如：Word、Excel、Dll、图片等都可以（前提是你已经安装打开程序的对应软件）
        /// </summary>
        /// <param name="NewFileName">eg：D:\Test\模版8.doc</param>
        public static void OpenFile(string NewFileName)
        {
            Process process = new Process();
            ProcessStartInfo processStartInfo = new ProcessStartInfo(NewFileName);
            process.StartInfo = processStartInfo;
            #region 下面这段被注释掉代码（可以用来全屏打开代码） 建立新的系统进程
            //设置文件名，此处为图片的真实路径 + 文件名（需要有后缀）    
            process.StartInfo.FileName = NewFileName;
            //此为关键部分。设置进程运行参数，此时为最大化窗口显示图片。    
            process.StartInfo.Arguments = "rundll32.exe C://WINDOWS//system32//shimgvw.dll,ImageView_Fullscreen";
            // 此项为是否使用Shell执行程序，因系统默认为true，此项也可不设，但若设置必须为true
            process.StartInfo.UseShellExecute = true;
            #endregion
            try
            {
                process.Start();
            }
            catch (Exception ex)
            {
                throw ex;
            }
            finally
            {
                try
                {
                    if (process != null)
                    {
                        process.Close();
                        process = null;
                    }
                }
                catch { }
            }
        }


        /// <summary>
        /// 上传文件
        /// </summary>
        /// <param name="file"></param>
        /// <param name="filePath"></param>
        /// <returns></returns>
        public static string UploadFile(IFormFile file, string filePath)
        {
            if (!Directory.Exists(filePath))
            {
                Directory.CreateDirectory(filePath);
            }
            //完整文件路径+名称
            var filePathName = string.Empty;
            filePathName = filePath + file.FileName;

            //插入文件数据                 
            using (FileStream fs = System.IO.File.Create(filePathName))
            {
                file.CopyTo(fs);
                fs.Flush();
            }
            return filePathName;
        }

    }
}
