﻿using BPA.KitChen.StoreManagement.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Core.Entity
{
    [SugarTable("BPA_PayTemplateInfo")]
    public  class BPA_PayTemplateInfo: IBaseGroupIdEntity
    {
        public string PayTemplateId { get; set; }
        public string AppId { get; set; }

        /// <summary>
        /// 1.微信  2.支付宝
        /// </summary>
        public int PayType { get; set; }

        /// <summary>
        /// 支付ID  支付宝的Pid  微信的 MCHid
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(3000)", IsNullable = false)]
        public string PId { get; set; }

        /// <summary>
        /// 支付宝的 pk  微信的appk
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(3000)", IsNullable = false)]
        public string Key { get; set; }


        /// <summary>
        /// 私钥货密码
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(3000)", IsNullable = false)]
        public string PrivateKey { get; set; }

        /// <summary>
        /// 公钥或证书
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(3000)", IsNullable = false)]
        public string PubLicKey { get; set; }
    }
}
