﻿using BPA.KitChen.StoreManagement.Core.Entity.Base;
using SqlSugar;

namespace BPA.KitChen.StoreManagement.Core.Entity
{

    /// <summary>
    /// 打印机配置
    /// </summary>
    [SugarTable("BPA_PrinterConfigure")]
    public class BPA_PrinterConfigure: IBaseOPEntity
    {
        [SugarColumn(ColumnDataType = "nvarchar(64)", ColumnDescription = "打印机", IsNullable = false)]
        public string PrinterId { get; set; }

        [SugarColumn(ColumnDataType = "nvarchar(100)", ColumnDescription = "配置值", IsNullable = false)]
        public string Value { get; set; }

        /// <summary>
        /// 配置类型
        /// 1.模板 2.店铺 3.菜品 
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = "配置值类型：1.模板 2.店铺 3.菜品 4.是否是主打印机  ", IsNullable = false)]
        public int ConfigureType { get; set; }

    }
}
