﻿using BPA.KitChen.StoreManagement.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Core.Entity
{
    /// <summary>
    /// 打印机模板
    /// </summary>
    [SugarTable("BPA_PrinterTemplate")]
    public class BPA_PrinterTemplate: IBaseGroupIdEntity
    {

        [SugarColumn(ColumnDataType = "nvarchar(100)", ColumnDescription = "标题", IsNullable = false)]
        public string Title { get; set; }

        [SugarColumn(ColumnDataType = "nvarchar(100)", ColumnDescription = "副标题", IsNullable = true)]
        public string Subtitle { get; set; }

        [SugarColumn(ColumnDataType = "nvarchar(300)", ColumnDescription = "说明（欢迎语）", IsNullable = true)]
        public string Explain { get; set; }

        [SugarColumn(ColumnDataType = "nvarchar(300)", ColumnDescription = "结束语", IsNullable = true)]
        public string Footer { get; set; }

        [SugarColumn(ColumnDataType = "bit", ColumnDescription = "是否显打印时间", IsNullable = false)]
        public bool IsShowPrintTime { get; set; }
        [SugarColumn(ColumnDataType = "bit", ColumnDescription = "是否显示单号", IsNullable = false)]
        public bool IsShowNumber { get; set; }

        /// <summary>
        /// 小票模板类型： 1.收银（出餐）小票  2.贴纸小票
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = " 1.收银（出餐）小票  2.贴纸小票", IsNullable = false)]
        public int Type { get; set; }
    }
}
