﻿using BPA.KitChen.StoreManagement.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Core.Entity
{
    /// <summary>
    /// 店铺广告
    /// </summary>
    [SugarTable("BPA_StoreAdvertisement")]
    public class BPA_StoreAdvertisement : IBaseGroupIdEntity
    {
        /// <summary> 
        /// 店铺id 
        /// </summary> 
        public string StoreId { get; set; }
        /// <summary> 
        /// 广告标题 
        /// </summary> 
        public string Title { get; set; }
        /// <summary> 
        /// 广告内容 
        /// </summary> 
        public string Content { get; set; }
        /// <summary> 
        /// 广告开始时间 
        /// </summary> 
        public string StartTime { get; set; }
        /// <summary> 
        /// 广告结束时间 
        /// </summary> 
        public string EndTime { get; set; }
        /// <summary>
        /// 图片存储路径
        /// </summary>
        public string ImageUrl { get; set; }
        /// <summary>
        /// 视频存储路径
        /// </summary>
        public string VideoUrl { get; set; }
        /// <summary>
        /// 上传方式
        /// </summary>
        public int UploadType { get; set; }
        /// <summary>
        /// 广告类型
        /// </summary>
        public int Type { get; set; }
        /// <summary>
        /// 图片轮播时间间隔
        /// </summary>
        public int Step { get; set; }
    }
}
