﻿using BPA.KitChen.StoreManagement.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Core.Entity
{
    ///<summary>
    ///门店菜谱表   
    ///</summary>
    [SugarTable("BPA_StoreFoodMenu")]
    public class BPA_StoreFoodMenu : IBaseGroupIdEntity
    {

        /// <summary>
        /// 菜谱id
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string FoodMenuId { get; set; }

        /// <summary>
        ///  小炒工序
        /// </summary>
        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = true)]
        public string CookingWorkId { get; set; }
        /// <summary>
        /// 店铺id
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = true)]
        public string StoreId { get; set; }



        /// <summary>
        /// 0门店销售，1设备销售 2 设备扫码制作
        /// </summary>           

        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int IsDevice { get; set; }

        

        /// <summary>
        /// 菜品id
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string FoodId { get; set; }

        /// <summary>
        /// 菜品name
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = true)]
        public string FoodName { get; set; }


        /// <summary>
        /// 价格
        /// </summary>           

        [SugarColumn(ColumnDataType = "decimal(18,2)", IsNullable = false)]
        public decimal Price { get; set; }


        /// <summary>
        /// 价格
        /// </summary>           

        [SugarColumn(ColumnDataType = "decimal(18,2)", IsNullable = false)]
        public decimal VipPrice { get; set; }


        /// <summary>
        /// 价格
        /// </summary>           

        [SugarColumn(ColumnDataType = "decimal(18,2)", IsNullable = false)]
        public decimal Vip2Price { get; set; }


        /// <summary>
        /// 价格
        /// </summary>           

        [SugarColumn(ColumnDataType = "decimal(18,2)", IsNullable = false)]
        public decimal DiscountPrice { get; set; }


        /// <summary>
        /// 价格
        /// </summary>           

        [SugarColumn(ColumnDataType = "decimal(18,2)", IsNullable = false)]
        public decimal Discount2Price { get; set; }

        /// <summary>
        /// 估清 0正常，1暂停销售
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int StopSales { get; set; }
        /// <summary>
        /// 估清时间
        /// </summary>
        public DateTime? StopSalesTime { get; set; }
    }
}
