﻿using BPA.KitChen.StoreManagement.Core.Entity.Base;
using BPA.KitChen.StoreManagement.Core.Entity.Base;
using SqlSugar;

namespace BPA.KitChen.StoreManagement.Core.Entity
{
    /// <summary>
    /// 微信小程序店铺页面配置
    /// </summary>
    [SugarTable("bpa_wechat_ministore_pageconfig")]
    public class MiniStorePageConfig : IBaseEntity
    {
        /// <summary>
        /// 店铺页面id
        /// </summary>
        public string PageId { get; set; }
        /// <summary>
        /// 素材名称
        /// </summary>
        public string MaterialName { get; set; }
        /// <summary>
        /// 素材编码
        /// </summary>
        public string MaterialCode { get; set; }
        /// <summary>
        /// 素材路径
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(3000)", IsNullable = false)]
        public string MaterialPath { get; set; }
        /// <summary>
        /// 素材展示类型 0:单张 1:多张
        /// </summary>
        public string MaterialType { get; set; }
    }
}
