
using BPA.KitChen.StoreManagement.Core.Common;
using BPA.KitChen.StoreManagement.Handlers;
using BPA.KitChen.StoreManagement.SqlSugar;
using Furion;
using Newtonsoft.Json.Linq;
using SqlSugar;

var builder = WebApplication.CreateBuilder(args).Inject();

//JWTȨ
builder.Services.AddJwt<JwtHandler>(enableGlobalAuthorize: true);



CosConfig.cosInfoOptions = new CosInfoOptions(App.Configuration["cos_config:AppId"],
    App.Configuration["cos_config:Region"], App.Configuration["cos_config:Bucket"],
    App.Configuration["cos_config:SecretId"], App.Configuration["cos_config:SecretKey"]);

//÷ʽ
builder.Services.AddUnifyResult();

builder.Services.AddControllers().AddInject();
builder.Services.AddSqlsugarSetup();


var app = builder.Build();

// Configure the HTTP request pipeline.

app.UseHttpsRedirection();

app.UseAuthentication();
app.UseAuthorization();

app.UseInject();

app.MapControllers();

app.Run();